Welcome!
Important information
-- Spectre and Meltdown vulnerabilities
-- Change in MX sources

News
-- MX Linux on social media: here
-- Mepis support still here

Current releases
-- MX-17.1 Final release info here
-- antiX-17 release info here

New users
-- Please read this first, and don't forget to add system and hardware information to posts!
-- Here are the Forum Rules

[SOLVED]ebook-viewer from calibre package doesn't work properly

Post Reply
Message
Author
User avatar
caspar
Forum Novice
Forum  Novice
Posts: 3
Joined: Thu Sep 08, 2016 8:00 am

[SOLVED]ebook-viewer from calibre package doesn't work properly

#1 Post by caspar » Thu Oct 04, 2018 4:31 pm

When I open any * .fb2 file with ebook-viewer program (from the calibre package), I get a program window with all controls, but in the page area there is only a big white "?" on blue background.
Maybe some library is missing?

User avatar
caspar
Forum Novice
Forum  Novice
Posts: 3
Joined: Thu Sep 08, 2016 8:00 am

Re: [SOLVED]ebook-viewer from calibre package doesn't work properly

#2 Post by caspar » Thu Oct 04, 2018 4:50 pm

The problem solved by installing calibre and calibre-bin packages from the debian-backports repository.

User avatar
Stevo
Forum Veteran
Forum Veteran
Posts: 17051
Joined: Fri Dec 15, 2006 8:07 pm

Re: [SOLVED]ebook-viewer from calibre package doesn't work properly

#3 Post by Stevo » Thu Oct 04, 2018 6:43 pm

What version did you have installed that had the problems?

User avatar
caspar
Forum Novice
Forum  Novice
Posts: 3
Joined: Thu Sep 08, 2016 8:00 am

Re: [SOLVED]ebook-viewer from calibre package doesn't work properly

#4 Post by caspar » Fri Oct 05, 2018 7:29 am

calibre-2.75.1+dfsg-1
upgrade to calibre-3.31.0+dfsg-1~bpo9+1 solved the problem.

User avatar
Stevo
Forum Veteran
Forum Veteran
Posts: 17051
Joined: Fri Dec 15, 2006 8:07 pm

Re: [SOLVED]ebook-viewer from calibre package doesn't work properly

#5 Post by Stevo » Fri Oct 05, 2018 2:34 pm

Hmmm-we've had 3.31 in the main MX repo since Sept. 8, so I was worried that ours had some issue that the backports didn't. But I'm a bit puzzled as to why it it didn't show up as an upgrade for you...

BTW, it looks like 3.31 is the end of the line for ours and backports native Calibre builds, since 3.32 builds fails on a Stretch base with some kind of Python error. But maybe someone will come up with a workaround for that...otherwise it's going to be portable/static versions if you want the latest releases.

Post Reply

Return to “Software / Configuration”